Loading...
Searching...
No Matches
Dune::Simd::VcImpl Namespace Reference

## Classes

struct | IsMask
| specialized to true for Vc mask types More...
struct | IsMask< Vc::Mask< T, A > >
struct | IsMask< Vc::SimdMaskArray< T, n, V, m > >
struct | IsVector
| specialized to true for Vc vector and mask types More...
struct | IsVector< Vc::Vector< T, A > >
struct | IsVector< Vc::SimdArray< T, n, V, m > >
struct | IsVectorizable
struct | IsVectorizable< double >
struct | IsVectorizable< float >
struct | IsVectorizable< std::int32_t >
struct | IsVectorizable< std::uint32_t >
struct | IsVectorizable< std::int16_t >
struct | IsVectorizable< std::uint16_t >
class | Proxy
| A reference-like proxy for elements of random-access vectors. More...